Create Reporter Run
curl --request POST \
--url https://softmax.com/api/observatory/v2/reporters/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reporter": {
"reporter_version_id": "<string>",
"kind": "version"
},
"subject": {},
"params": {},
"limits": {
"memory_mib": 1,
"guest_cpu_seconds": 1,
"wall_clock_seconds": 1,
"scratch_mib": 1,
"tool_calls": 1,
"llm_usd": 1,
"artifact_read_mib": 1,
"output_mib": 1
},
"dependencies": [
{
"reporter": {
"reporter_version_id": "<string>",
"kind": "version"
},
"params": {},
"limits": {
"memory_mib": 1,
"guest_cpu_seconds": 1,
"wall_clock_seconds": 1,
"scratch_mib": 1,
"tool_calls": 1,
"llm_usd": 1,
"artifact_read_mib": 1,
"output_mib": 1
},
"reuse": {
"completed": true,
"max_age_seconds": 1,
"in_flight": true
},
"dependencies": [
{}
]
}
],
"publish_post": false,
"debug": false,
"idempotency_key": "<string>"
}
'import requests
url = "https://softmax.com/api/observatory/v2/reporters/runs"
payload = {
"reporter": {
"reporter_version_id": "<string>",
"kind": "version"
},
"subject": {},
"params": {},
"limits": {
"memory_mib": 1,
"guest_cpu_seconds": 1,
"wall_clock_seconds": 1,
"scratch_mib": 1,
"tool_calls": 1,
"llm_usd": 1,
"artifact_read_mib": 1,
"output_mib": 1
},
"dependencies": [
{
"reporter": {
"reporter_version_id": "<string>",
"kind": "version"
},
"params": {},
"limits": {
"memory_mib": 1,
"guest_cpu_seconds": 1,
"wall_clock_seconds": 1,
"scratch_mib": 1,
"tool_calls": 1,
"llm_usd": 1,
"artifact_read_mib": 1,
"output_mib": 1
},
"reuse": {
"completed": True,
"max_age_seconds": 1,
"in_flight": True
},
"dependencies": [{}]
}
],
"publish_post": False,
"debug": False,
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reporter: {reporter_version_id: '<string>', kind: 'version'},
subject: {},
params: {},
limits: {
memory_mib: 1,
guest_cpu_seconds: 1,
wall_clock_seconds: 1,
scratch_mib: 1,
tool_calls: 1,
llm_usd: 1,
artifact_read_mib: 1,
output_mib: 1
},
dependencies: [
{
reporter: {reporter_version_id: '<string>', kind: 'version'},
params: {},
limits: {
memory_mib: 1,
guest_cpu_seconds: 1,
wall_clock_seconds: 1,
scratch_mib: 1,
tool_calls: 1,
llm_usd: 1,
artifact_read_mib: 1,
output_mib: 1
},
reuse: {completed: true, max_age_seconds: 1, in_flight: true},
dependencies: [{}]
}
],
publish_post: false,
debug: false,
idempotency_key: '<string>'
})
};
fetch('https://softmax.com/api/observatory/v2/reporters/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "pending",
"reporter_version_id": "<string>",
"subject": {},
"status_url": "<string>",
"output_url": "<string>",
"trace_url": "<string>",
"usage": {},
"output_parts": [
{
"id": "<string>",
"reporter_id": "<string>",
"reporter_run_id": "<string>",
"name": "<string>",
"type": "<string>",
"size_bytes": 123,
"content_hash": "<string>",
"media_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"running_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}v2
Create Reporter Run
POST
/
v2
/
reporters
/
runs
Create Reporter Run
Authorizations
Bearer token issued by Softmax
Body
application/json
- PinnedReporterRef
- LatestReporterRef
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
5 - 200Response
Successful Response
Available options:
pending, running, completed, failed, cancelled Show child attributes
Show child attributes